Index: SPECS/busybox.spec
===================================================================
--- SPECS.orig/busybox.spec
+++ SPECS/busybox.spec
@@ -1,7 +1,7 @@
 Summary: Statically linked binary providing simplified versions of system commands
 Name: busybox
 Version: 1.6.1
-Release: 1%{?dist}.fa1
+Release: 1%{?dist}.fa2
 Epoch: 1
 License: GPL
 Group: System Environment/Shells
@@ -27,6 +27,10 @@ BuildRequires: libsepol-devel
 Group: System Environment/Shells
 Summary: Version of busybox configured for use with anaconda
 
+%package dynamic
+Group: System Environment/Shells
+Summary: Non-statically linked version of busybox
+
 %package petitboot
 Group: System Environment/Shells
 Summary: Version of busybox configured for use with petitboot
@@ -44,6 +48,12 @@ package is designed for use with the Red
 anaconda. The busybox package provides a binary better suited to
 normal use.
 
+%description dynamic
+Busybox is a single binary which includes versions of a large number
+of system commands, including a shell.  The version contained in this
+package is designed for use in small footprint root filesystems.  The
+busybox package provides a binary better suited to normal use.
+
 %description petitboot
 Busybox is a single binary which includes versions of a large number
 of system commands, including a shell.  The version contained in this
@@ -80,6 +90,12 @@ make CONFIG_DEBUG=y CC="gcc $RPM_OPT_FLA
 cp busybox busybox.anaconda
 make clean
 
+# create dynamic busybox
+make defconfig
+make CC="gcc $RPM_OPT_FLAGS"
+cp busybox busybox.dynamic
+make clean
+
 # create busybox optimised for petitboot
 cp %{SOURCE1} .config
 yes "" | make oldconfig
@@ -93,6 +109,7 @@ mkdir -p $RPM_BUILD_ROOT/sbin
 mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
 install -m 755 busybox-static $RPM_BUILD_ROOT/sbin/busybox
 install -m 755 busybox.anaconda $RPM_BUILD_ROOT/sbin/busybox.anaconda
+install -m 755 busybox.dynamic $RPM_BUILD_ROOT/sbin/busybox.dynamic
 install -m 755 busybox.petitboot $RPM_BUILD_ROOT/sbin/busybox.petitboot
 
 %clean
@@ -108,6 +125,11 @@ rm -rf $RPM_BUILD_ROOT
 %defattr(-,root,root,-)
 /sbin/busybox.anaconda
 
+%files dynamic
+%doc LICENSE docs/busybox.net/*.html docs/busybox.net/images/*
+%defattr(-,root,root,-)
+/sbin/busybox.dynamic
+
 %files petitboot
 %doc LICENSE 
 %defattr(-,root,root,-)
